Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002244 [Piwigo] web API feature N/A 2011.04.05 14:09 2011.05.30 23:32
Reporter plg View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.2 Product Version 2.1.6
  Target Version 2.2.2 Product Build
Summary 0002244: [pwg.categories.getImages] return date_creation and date_available for each image
Description Instead of forcing the remote client to call pwg.images.getInfo many times.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005075)
rvelices (developer)
2011.04.29 19:29

while we are at it it is the same code for tags.getImages and images.search
(0005158)
svn (reporter)
2011.05.30 23:30

[Subversion] r11115 by plg on branch 2.2

-----[Subversion commit log]----------------------------------------------------
feature 2244 added: web API methods pwg.categories.getImages,
pwg.tags.getImages and pwg.images.search now give the date_creation
and date_available for each returned photo.
(0005159)
svn (reporter)
2011.05.30 23:32

[Subversion] r11116 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r11115 from branch 2.2 to trunk

feature 2244 added: web API methods pwg.categories.getImages,
pwg.tags.getImages and pwg.images.search now give the date_creation
and date_available for each returned photo.


- Issue History
Date Modified Username Field Change
2011.04.05 14:09 plg New Issue
2011.04.05 14:09 plg Status new => assigned
2011.04.05 14:09 plg Assigned To => plg
2011.04.05 14:09 plg browser => any
2011.04.05 14:09 plg Web server => Apache 1.3.x
2011.04.11 21:34 Gotcha Issue Monitored: Gotcha
2011.04.26 15:32 plg Target Version 2.1.7 => 2.2.2
2011.04.29 19:29 rvelices Note Added: 0005075
2011.05.30 23:30 svn Checkin
2011.05.30 23:30 svn Note Added: 0005158
2011.05.30 23:32 svn Checkin
2011.05.30 23:32 svn Note Added: 0005159
2011.05.30 23:32 plg Status assigned => closed
2011.05.30 23:32 plg Resolution open => fixed
2011.05.30 23:32 plg Fixed in Version => 2.2.2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker